import Vue from "vue";
import {
  Button,
  Input,
  Select,
  DatePicker,
  notification,
  menu,
  dropdown,
  FormModel,
  Row,
  Col,
  Table,
  InputNumber,
  message,
  pagination,
  popconfirm,
  Modal
} from "ant-design-vue";

export default () => {
  let els = [
    Button,
    Input,
    notification,
    menu,
    dropdown,
    FormModel,
    Row,
    Col,
    Select,
    DatePicker,
    Table,
    InputNumber,
    message,
    pagination,
    popconfirm,
	Modal
  ];
  // 注册
  els.forEach((item) => {
    Vue.use(item);
  });
  // 全局提示
  Vue.prototype.$msg = notification;
  Vue.prototype.$message = message;
  Vue.prototype.$modal = Modal;
};
